using JiShe.CollectBus.Localization;
using Volo.Abp.Authorization.Permissions;
using Volo.Abp.Localization;

namespace JiShe.CollectBus.Permissions;

public class CollectBusPermissionDefinitionProvider : PermissionDefinitionProvider
{
    public override void Define(IPermissionDefinitionContext context)
    {
        var myGroup = context.AddGroup(CollectBusPermissions.GroupName, L("Permission:CollectBus"));
    }

    private static LocalizableString L(string name)
    {
        return LocalizableString.Create<CollectBusResource>(name);
    }
}
